/***************************************************************************
 *  CISILIA PROJECT: callbacks.h
 *
 *  Tue Jan  7 22:55:29 2003
 *  Copyright  2002-2003  Cisilia Team <cisilia@cisiar.org>
 *
 ****************************************************************************/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#define DIR_FRONTEND		"127.0.0.1:9999"
#define PUERTO_FRONTEND 	9999

//#include <gtk/gtk.h>
//#include <sys/socket.h>
//#include <sys/types.h>
//#include <netinet/in.h>
#include <unistd.h>
//#include <netdb.h>
//#include <stdio.h>
//#include <string.h>

#include <gnome.h>

void capturar_muerte_backend (int);
int crearSocketEscuchaUDP (int);
int conectarPadre (char*, int, int);
void escuchar_backend (gpointer,gint,GdkInputCondition);
gint intentar_conexion (gpointer);
gint es_cadena_valida (const gchar *);
gchar *leer_entry (GtkButton *, const gchar *);
gint procesar_entry (GtkButton *, gchar ***, gint *, const gchar *, const gchar *);
gint procesar_spin (GtkButton *, gchar ***, gint *, const gchar *, const gchar *);
gint procesar_check (GtkButton *, gchar ***, gint *, const gchar *, const gchar *);
gboolean actualizar_clist (gpointer);
gint actualizar_estadisticas (gpointer);
gchar **argv_agregar_indice (gchar **, gint *, gchar *);

void
mostrar_fileselection                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_ok_button1_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
ejecutar_cisilia                       (GtkButton       *button,
                                        gpointer         user_data);



void
autocompletar                          (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gint            *position,
                                        gpointer         user_data);


void
cambiar_sensibilidad                   (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_clist1_click_column                 (GtkCList        *clist,
                                        gint             column,
                                        gpointer         user_data);

void
on_button_borrar_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_ayuda1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_acerca_de1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_window2_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_button_salir_clicked                (GtkButton       *button,
                                        gpointer         user_data);


void
destruir_window1                       (gint		 reply,
					gpointer         user_data);


void
matar_backend                          (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_button_cerrar_estadisticas_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
destruir_window2                       (gint		 reply,
					gpointer         user_data);

gboolean
on_window1_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_button_stop_clicked                 (GtkButton       *button,
                                        gpointer         user_data);
